/**
  ******************************************************************************
  * @file    interrupt.h
  * @author  Product application department
  * @version V1.0
  * @date    2020.02.18
  * @brief   Header file of interrupt.
  *
  ******************************************************************************
*/

#ifndef INTERRUPT_H_
#define INTERRUPT_H_

#include "debug.h"
#include "uart_hal.h"
#include "spi_hal.h"
#include "i2c_hal.h"
#include "cpm_hal.h"


extern void HAL_CPM_IRQHandler(void);
extern void HAL_PCI_IRQHandler(void);
extern void HAL_ADC_IRQHandler(void);
extern void HAL_RTC_IRQHandler(void);
extern void HAL_USI_IRQHandler(void);
extern void HAL_PIT32_IRQHandler(void);
extern void HAL_PWM_IRQHandler(void);
extern void USBC_IRQHandler(void);
extern void Reader_Time_IRQHandler(void);
extern void HAL_TC_IRQHandler(void);
extern void HAL_SPI1_IRQHandler(void);
extern void HAL_TimingDelay_Decrement(void);
extern void MCC_DMA_ISR(void);
extern void DAC_DMA2IRQHandler(void);
extern void DACAudio_DMA2IRQHandler(void);
extern void HAL_DMA2D_IRQHandler(void);
extern void HAL_EPORT0_0_IRQHandler(void);
extern void HAL_EPORT0_1_IRQHandler(void);
extern void HAL_EPORT0_2_IRQHandler(void);
extern void HAL_EPORT0_3_IRQHandler(void);
extern void HAL_EPORT0_4_IRQHandler(void);
extern void HAL_EPORT0_5_IRQHandler(void);
extern void HAL_EPORT0_6_IRQHandler(void);
extern void HAL_EPORT0_7_IRQHandler(void);
extern void HAL_EPORT1_0_IRQHandler(void);
extern void HAL_EPORT1_1_IRQHandler(void);
extern void HAL_EPORT1_2_IRQHandler(void);
extern void HAL_EPORT1_3_IRQHandler(void);
extern void HAL_EPORT1_4_IRQHandler(void);
extern void HAL_EPORT1_5_IRQHandler(void);
extern void HAL_EPORT1_6_IRQHandler(void);
extern void HAL_EPORT1_7_IRQHandler(void);
extern void HAL_EPORT2_0_IRQHandler(void);
extern void HAL_EPORT2_1_IRQHandler(void);
extern void HAL_EPORT2_2_IRQHandler(void);
extern void HAL_EPORT2_3_IRQHandler(void);
extern void HAL_EPORT2_4_IRQHandler(void);
extern void HAL_EPORT2_5_IRQHandler(void);
extern void HAL_EPORT2_6_IRQHandler(void);
extern void HAL_EPORT2_7_IRQHandler(void);
extern void HAL_EPORT3_0_IRQHandler(void);
extern void HAL_EPORT3_1_IRQHandler(void);
extern void HAL_EPORT3_2_IRQHandler(void);
extern void HAL_EPORT3_3_IRQHandler(void);
extern void HAL_EPORT3_4_IRQHandler(void);
extern void HAL_EPORT3_5_IRQHandler(void);
extern void HAL_EPORT3_6_IRQHandler(void);
extern void HAL_EPORT3_7_IRQHandler(void);
extern void HAL_EPORT4_0_IRQHandler(void);
extern void HAL_EPORT4_1_IRQHandler(void);
extern void HAL_EPORT4_2_IRQHandler(void);
extern void HAL_EPORT4_3_IRQHandler(void);
extern void HAL_EPORT4_4_IRQHandler(void);
extern void HAL_EPORT4_5_IRQHandler(void);
extern void HAL_EPORT4_6_IRQHandler(void);
extern void HAL_EPORT4_7_IRQHandler(void);
extern void HAL_EPORT5_0_IRQHandler(void);
extern void HAL_EPORT5_1_IRQHandler(void);
extern void HAL_EPORT5_2_IRQHandler(void);
extern void HAL_EPORT5_3_IRQHandler(void);
extern void HAL_EPORT5_4_IRQHandler(void);
extern void HAL_EPORT5_5_IRQHandler(void);
extern void HAL_EPORT5_6_IRQHandler(void);
extern void HAL_EPORT5_7_IRQHandler(void);
extern void HAL_EPORT6_0_IRQHandler(void);
extern void HAL_EPORT6_1_IRQHandler(void);
extern void HAL_EPORT6_2_IRQHandler(void);
extern void HAL_EPORT6_3_IRQHandler(void);
extern void HAL_EPORT6_4_IRQHandler(void);
extern void HAL_EPORT6_5_IRQHandler(void);
extern void HAL_EPORT6_6_IRQHandler(void);
extern void HAL_EPORT6_7_IRQHandler(void);
extern void HAL_EPORT7_0_IRQHandler(void);
extern void HAL_EPORT7_1_IRQHandler(void);
extern void HAL_EPORT7_2_IRQHandler(void);
extern void HAL_EPORT7_3_IRQHandler(void);
extern void HAL_EPORT7_4_IRQHandler(void);
extern void HAL_EPORT7_5_IRQHandler(void);
extern void HAL_EPORT7_6_IRQHandler(void);
extern void HAL_EPORT7_7_IRQHandler(void);
extern void HAL_EPORT8_0_IRQHandler(void);
extern void HAL_EPORT8_1_IRQHandler(void);
extern void HAL_EPORT8_2_IRQHandler(void);
extern void HAL_EPORT8_3_IRQHandler(void);
extern void HAL_EPORT8_4_IRQHandler(void);
extern void HAL_EPORT8_5_IRQHandler(void);
extern void HAL_EPORT8_6_IRQHandler(void);
extern void HAL_EPORT8_7_IRQHandler(void);
extern void HAL_EPORT9_0_IRQHandler(void);
extern void HAL_EPORT9_1_IRQHandler(void);
extern void HAL_EPORT9_2_IRQHandler(void);
extern void HAL_EPORT9_3_IRQHandler(void);
extern void HAL_EPORT9_4_IRQHandler(void);
extern void HAL_EPORT9_5_IRQHandler(void);
extern void HAL_EPORT9_6_IRQHandler(void);
extern void HAL_EPORT9_7_IRQHandler(void);
extern void HAL_EPORT10_0_IRQHandler(void);
extern void HAL_EPORT10_1_IRQHandler(void);
extern void HAL_EPORT10_2_IRQHandler(void);
extern void HAL_EPORT10_3_IRQHandler(void);
extern void HAL_EPORT10_4_IRQHandler(void);
extern void HAL_EPORT10_5_IRQHandler(void);
extern void HAL_EPORT10_6_IRQHandler(void);
extern void HAL_EPORT10_7_IRQHandler(void);
extern void HAL_EPORT11_0_IRQHandler(void);
extern void HAL_EPORT11_1_IRQHandler(void);
extern void HAL_EPORT11_2_IRQHandler(void);
extern void HAL_EPORT11_3_IRQHandler(void);
extern void HAL_EPORT11_4_IRQHandler(void);
extern void HAL_EPORT11_5_IRQHandler(void);
extern void HAL_EPORT11_6_IRQHandler(void);
extern void HAL_EPORT11_7_IRQHandler(void);
extern void HAL_EPORT12_0_IRQHandler(void);
extern void HAL_EPORT12_1_IRQHandler(void);
extern void HAL_EPORT12_2_IRQHandler(void);
extern void HAL_EPORT12_3_IRQHandler(void);
extern void HAL_EPORT12_4_IRQHandler(void);
extern void HAL_EPORT12_5_IRQHandler(void);
extern void HAL_EPORT12_6_IRQHandler(void);
extern void HAL_EPORT12_7_IRQHandler(void);
extern void HAL_EPORT13_0_IRQHandler(void);
extern void HAL_EPORT13_1_IRQHandler(void);
extern void HAL_EPORT13_2_IRQHandler(void);
extern void HAL_EPORT13_3_IRQHandler(void);
extern void HAL_EPORT13_4_IRQHandler(void);
extern void HAL_EPORT13_5_IRQHandler(void);
extern void HAL_EPORT13_6_IRQHandler(void);
extern void HAL_EPORT13_7_IRQHandler(void);
extern void HAL_EPORT14_0_IRQHandler(void);
extern void HAL_EPORT14_1_IRQHandler(void);
extern void HAL_EPORT14_2_IRQHandler(void);
extern void HAL_EPORT14_3_IRQHandler(void);
extern void HAL_EPORT14_4_IRQHandler(void);
extern void HAL_EPORT14_5_IRQHandler(void);
extern void HAL_EPORT14_6_IRQHandler(void);
extern void HAL_EPORT14_7_IRQHandler(void);
extern void HAL_EPORT15_0_IRQHandler(void);
extern void HAL_EPORT15_1_IRQHandler(void);
extern void HAL_EPORT15_2_IRQHandler(void);
extern void HAL_EPORT15_3_IRQHandler(void);
extern void HAL_EPORT15_4_IRQHandler(void);
extern void HAL_EPORT15_5_IRQHandler(void);
extern void HAL_EPORT15_6_IRQHandler(void);
extern void HAL_EPORT15_7_IRQHandler(void);
extern void HAL_DCMI_IRQHandler(void);



#endif  /* __INTERRUPT_DRV_H__ */


